/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package javax.enterprise.event;

/**
 * Transactional observer phases.
 * 
 * <p>
 * Observers are notified on transaction phases.
 * </p>
 * 
 * @version $Rev: 1796153 $ $Date: 2017-05-25 17:09:15 +0200 (Thu, 25 May 2017) $
 *
 */
public enum TransactionPhase
{
    /**
     * Means in transaction.
     * Used if an event should get sent immediately.
     */
    IN_PROGRESS,
    
    /**Before completion phase*/
    BEFORE_COMPLETION,
    
    /**After completion phase*/
    AFTER_COMPLETION,
    
    /**After failure phase*/
    AFTER_FAILURE,
    
    /**After success phase*/
    AFTER_SUCCESS
}
